Package net.snowflake.client.core

## Class HttpClientSettingsKey

- java.lang.Object
- - net.snowflake.client.core.HttpClientSettingsKey

All Implemented Interfaces:
  `Serializable`

    public class HttpClientSettingsKey
    extends Object
    implements Serializable

This class defines all non-static parameters needed to create an HttpClient object. It is used as the key for the static hashmap of reusable http clients.

See Also:
  Serialized Form

### Constructor Summary

Constructors
`HttpClientSettingsKey​(OCSPMode mode)`
`HttpClientSettingsKey​(OCSPMode mode, String host, int port, String nonProxyHosts, String user, String password, String scheme, String userAgentSuffix, Boolean gzipDisabled)`

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`boolean` `equals​(Object obj)`
`Boolean` `getGzipDisabled()`
`String` `getNonProxyHosts()`
`OCSPMode` `getOcspMode()`
`String` `getProxyHost()`
`HttpProtocol` `getProxyHttpProtocol()`
`String` `getProxyPassword()` Be careful of using this! Should only be called when password is later masked.
`int` `getProxyPort()`
`com.amazonaws.Protocol` `getProxyProtocol()` Deprecated. Use `getProxyHttpProtocol()`
`String` `getProxyUser()`
`CertRevocationCheckMode` `getRevocationCheckMode()`
`String` `getUserAgentSuffix()`
`int` `hashCode()`
`boolean` `isAllowCertificatesWithoutCrlUrl()`
`void` `setAllowCertificatesWithoutCrlUrl​(boolean allowCertificatesWithoutCrlUrl)`
`void` `setRevocationCheckMode​(CertRevocationCheckMode revocationCheckMode)`
`String` `toString()`
`boolean` `usesProxy()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### HttpClientSettingsKey

    public HttpClientSettingsKey​(OCSPMode mode,
                                 String host,
                                 int port,
                                 String nonProxyHosts,
                                 String user,
                                 String password,
                                 String scheme,
                                 String userAgentSuffix,
                                 Boolean gzipDisabled)

#### HttpClientSettingsKey

    public HttpClientSettingsKey​(OCSPMode mode)

### Method Detail

#### equals

    public boolean equals​(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### getOcspMode

    public OCSPMode getOcspMode()

#### usesProxy

    public boolean usesProxy()

#### getProxyHost

    public String getProxyHost()

#### getProxyPort

    public int getProxyPort()

#### getProxyUser

    public String getProxyUser()

#### getUserAgentSuffix

    public String getUserAgentSuffix()

#### getProxyPassword

    @SnowflakeJdbcInternalApi
    public String getProxyPassword()

Be careful of using this! Should only be called when password is later masked.

Returns:
  proxy password

#### getNonProxyHosts

    public String getNonProxyHosts()

#### getProxyProtocol

    @Deprecated
    public com.amazonaws.Protocol getProxyProtocol()

Deprecated.
Use `getProxyHttpProtocol()`

Returns:
  ProxyProtocol

#### getProxyHttpProtocol

    public HttpProtocol getProxyHttpProtocol()

#### getGzipDisabled

    public Boolean getGzipDisabled()

#### getRevocationCheckMode

    public CertRevocationCheckMode getRevocationCheckMode()

#### isAllowCertificatesWithoutCrlUrl

    public boolean isAllowCertificatesWithoutCrlUrl()

#### setRevocationCheckMode

    public void setRevocationCheckMode​(CertRevocationCheckMode revocationCheckMode)

#### setAllowCertificatesWithoutCrlUrl

    public void setAllowCertificatesWithoutCrlUrl​(boolean allowCertificatesWithoutCrlUrl)

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`